let
  inherit (import ../helpers.nix) directoryImport;
  modules = directoryImport ./.;
in
{
  flake.nixosModules = {
    mars = {
      imports = builtins.attrValues {
        inherit (modules)
          flatpak
          ivpn
          network
          ollamaMars
          plasma
          plymouth
          sddm
          tuios
          wireguard
          microvm
          defenseio
          # midnight
          ;
      };
    };

    deimos = {
      imports = builtins.attrValues {
        inherit (modules)
          hypr
          wayland
          network
          flatpak
          plymouth
          wireguard
          microvm
          defenseio
          # midnight
          ;
      };
    };

    phobos = {
      imports = builtins.attrValues {
        inherit (modules)
          microvm
          defenseio
          # midnight
          ;
      };
    };

    ceres = {
      imports = builtins.attrValues {
        inherit (modules)
          acme
          # audiobookshelf
          caddy
          comfyui
          # filesorter
          firefly-iii
          forgejo
          # glance
          jellyfin
          # logrotate
          mastodon
          microvm
          # midnight
          minecraft
          # ollamaCeres
          ceresOpenCloud
          # postgresCeres
          projectSite
          # prompter
          sambaCeres
          # searx
          vaultwarden
          website
          zookeeper
          defenseio
          ;
      };
    };

    eris = {
      imports = builtins.attrValues {
        inherit (modules)
          acme
          caddy
          logrotate
          microvm
          # midnight
          # opencloud
          sambaEris
          postgresEris
          defenseio
          ;
      };
    };

    iso = {
      imports = builtins.attrValues {
        inherit (modules)
          iso
          xserver
          ;
      };
    };

    crust = {
      imports = builtins.attrValues {
        inherit (modules)
          hardware
          programs
          ;
      };
    };

    mantle = {
      imports = builtins.attrValues {
        inherit (modules)
          sops
          xserver
          ;
      };
    };

    core = {
      imports = builtins.attrValues {
        inherit (modules)
          core
          ;
      };
    };
  };
}
